Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.commands
Class HistoryCommand

The 'history' command.

version:
  $Id: HistoryCommand.groovy 8422 2007-10-07 07:32:07Z user57 $

author:
  Jason Dillon

Field Summary
`def` | `do_clear`
`def` | `do_flush`
`def` | `do_recall`
`def` | `do_show`

Constructor Summary
`HistoryCommand(Shell shell)`

Method Summary
`List` | `createCompletors()`
`Object` | `execute(List args)`

Constructor Detail

### HistoryCommand

    public HistoryCommand(Shell shell)

Method Detail

### createCompletors

    List createCompletors()

### execute

    Object execute(List args)